#!c:/perl/bin/perl.exe
use warnings;
use strict;
use diagnostics;
use IPC::Open2;

### NB
### This file won't actually run on most machines as
### they won't have the needed programs installed.
### On windows there aren't many programs available
### by default which use pipes.

## Reading from a pipe
open (LOG,"tail -f /var/log/httpd/access_log |") or die "Can't open pipe to web logs: $!";

while (<LOG>) {
  if (/Safari/) {
    print "Oooh, a Mac user...\n";
  }
}


## Writing to a pipe
open (ZIP,"| zip compress.zip -") or die "Can't open pipe to zip: $!";

print ZIP "I want to be smaller...";

close ZIP or die "Can't close pipe to zip : $!";


## Writing to and reading from a pipe
my $pid = open2 (\*OUT, \*IN,"seqret -filter -osf embl") or die "Can't open pipes to seqret: $!";

print IN ">test\ncgatctgatgctgatgctgatgcta";

close IN or die "Can't close pipe input: $!";

print while (<OUT>);

waitpid($pid,0);
