#!c:/perl/bin/perl.exe
use warnings;
use strict;
use diagnostics;

# First read in the annotation into a hash so
# we can use it later.

my %annotation;

open (my $annot,"Resources/annotation.txt") or die "Can't read annotation file: $!";

while (<$annot>) {
	chomp;
	my ($accession,$description) = split(/\t/);
	unless ($accession and $description) {
		warn "Failed to parse '$_'";
		next;	
	}
	$annotation{$accession} = $description;
}

close $annot;

open (my $data,"Resources/data.txt") or die "Can't read data file: $!";
open (my $out,'>',"Resources/merged.txt") or die "Can't write to merged file: $!";

while (<$data>) {
	chomp;
	my @sections = split(/\t/);
	unless (@sections == 11) {
		warn "Not enough data from '$_'";
		next;	
	}
	
	unless (exists ($annotation{$sections[0]})) {
		warn "Couldn't match accession '$sections[0]' with any annotation";
		next;	
	}

	print $out join("\t",@sections),"\t$annotation{$sections[0]}\n";
}
