#!c:/perl/bin/perl.exe
use warnings;
use strict;
use LWP::UserAgent;
use Text::Wrap qw(wrap);

my $agent = LWP::UserAgent -> new();

my $month = "Feb";
my $year = 2014;

my $response = $agent -> get("http://www.ncbi.nlm.nih.gov/genbank/statistics");

if ($response -> is_success()) {

    my $html = $response->content();
    my @lines = split(/\n/,$html);

    foreach my $line (@lines) {
	if ($line =~ /<td>$month $year<\/td>/) {

	    my @table_cells = split(/<\/td><td>/,$line);

	    print "In $month $year there were $table_cells[2] bases and $table_cells[3] sequences in GenBank\n";
	}
    }


}

else {
	die "Failed to get NCBI statistics: ".$response->status_line();	
}
